[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TLoadCursorFunction

Specifies a function called to load a cursor shape with the specified identifier and return the handle for the cursor image.

## Declaration

Source position: interfacebase.pp line 221

`type TLoadCursorFunction = function(`
`hInstance: TLCLHandle;`
`lpCursorName: PChar`
`):HCURSOR;`

## Arguments

`hInstance` |  | Handle for the resource where the specified cursor is stored.
`lpCursorName` |  | Identifier for the cursor shape loaded in the routine.

## Function result

HCursor handle for the specified cursor shape.

## Version info

Modified in LCL version 4.0 to use the TLCLHandle type instead of the deprecated THandle type in the hInstance parameter.